list
HTTP Request
GET /api/v1/tables/:tableReference/variables
GET /api/v1/workflows/:workflowReference/tables/:tableReference/variables
GET /api/v1/tables/:tableReference/uploads/:uploadReference/variables
GET /api/v1/queries/:queryId/variablesPath parameters
tableReference
A qualified reference to the table. See referencing resources for more information.
workflowReference
A qualified reference to a workflow. When provided, tableReference may be the table's name (and optional reference id) alone, and can refer to any table in the workflow, including tables from the workflow's datasources. See referencing tables within a workflow.
uploadReference
A qualified reference to the upload. Follows the form upload_name:id
queryId
The id of a query
Query parameters
maxResults
Default 100. Cannot exceed 10,000
pageToken
For paginating through results, provide the value returned from the previous table.listVariables call
isFileId
Optional. If present, will only return variables that contain ids referencing Files
includeValueLabels
Optional, default false. If true, each variable in the response will include its valueLabels (an array of {value, label} objects, or null if the variable has none).
Authorization
Metadata access to the table is required. If a table's data is not public, your access token must have one of the following scopes:
data.metadata
data.data
data.edit
Request body
The request body must be empty.
Response body
Returns a JSON representation of a list of variable resources.
When includeValueLabels is true, each result will also contain the valueLabels property, as returned by variable.get.
Was this helpful?

